
Lookup Editor - Bug #1195

Creating two KV store lookups with the same name causes data corruption

02/05/2016 04:05 AM - Luke Murphey

Status: New Start date: 02/05/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Plus_2   

Description

Steps to reproduce:

1) Create a KV store lookup with user A

2) Create another KV store lookup with the same name but in a different app and using another user account

3) Note that the lookup contains the values of both lookups

History

#1 - 02/05/2016 04:09 AM - Luke Murphey

You don't even have to use a different user, just making the same named KV store in different apps triggers the problem.

#2 - 02/05/2016 04:12 AM - Luke Murphey

I think this is a Core bug. The endpoint ought to either:

1. Treat them as separate lookups entirely

2. Generate a 409 error when the second lookup is created

#3 - 02/05/2016 11:07 PM - Luke Murphey

- Target version changed from 2.1 to Plus_2

#4 - 02/22/2016 08:12 PM - Luke Murphey

Opened a core bug: SPL-114568
